[Yum] Re: yum install/upgrade

Fajar A. Nugraha fajar at fajar.net
Mon Nov 13 08:20:04 UTC 2006


Vadim Lvovsky wrote:
>>> Error
>>> -----
>>> Failed to start BIND : <tt>Starting named: /usr/sbin/named: symbol
>>> lookup
>>> error: /usr/sbin/named: undefined symbol: dns_resolver_setudpsize
>>> [FAILED]
>>> </tt>
>>> -----
>>>       
>  I was thinking about this. But this variant doesn't give the the solution of 
> the problem in a general case.
>
>  Thank you for your help. 
>
>   
I believe this is an upstream (e.g. RedHat) package issue, not yum
specific issue.
In my case, the bind-libs was installed during intial installation.
Later, (as in after RHEL/CentOS 4.4) we require bind.

The problem is bind 20:9.2.4-16.EL4 (from RHEL 4.4) only requires
libdns.so.16n (and other libraries), it does NOT specifically requires
bind-libs 20:9.2.4-16.EL4. So if your bind-libs happen to be (say)
version 20:9.2.4-2, you'll have a problem.

Regards,

Fajar



More information about the Yum mailing list